Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# CORBA_Principal_var Class Reference

The T_var class for Principal. More...

`#include <Principal.h>`

Collaboration diagram for CORBA_Principal_var:

[legend]
List of all members.

## Public Methods
| CORBA_Principal_var (void)
| CORBA_Principal_var (CORBA_Principal_ptr)
| CORBA_Principal_var (const CORBA_Principal_var &)
| ~CORBA_Principal_var (void)
CORBA_Principal_var& | operator= (CORBA_Principal_ptr)
CORBA_Principal_var& | operator= (const CORBA_Principal_var &)
CORBA_Principal_ptr | operator-> (void) const
| operator const CORBA_Principal_ptr & () const
| in, inout, out, _retn.
| operator CORBA_Principal_ptr & ()
CORBA_Principal_ptr | in (void) const
CORBA_Principal_ptr& | inout (void)
CORBA_Principal_ptr& | out (void)
CORBA_Principal_ptr | _retn (void)
CORBA_Principal_ptr | ptr (void) const
## Private Attributes
CORBA_Principal_ptr | ptr_

## Detailed Description

The T_var class for Principal.

As any other pseudo object Principal must have a T_var class, the interface an semantics are specified in the CORBA spec. = NOTE We use CORBA_Principal_ptr as the _ptr type instead of CORBA::Principal_ptr, this is an attempt to reduced the cyclic dependencies in TAO.

## Constructor & Destructor Documentation

ACE_INLINE CORBA_Principal_var::CORBA_Principal_var ( | void )

ACE_INLINE CORBA_Principal_var::CORBA_Principal_var ( | CORBA_Principal_ptr p )

ACE_INLINE CORBA_Principal_var::CORBA_Principal_var ( | const CORBA_Principal_var & p )

ACE_INLINE CORBA_Principal_var::~CORBA_Principal_var ( | void )

## Member Function Documentation

ACE_INLINE CORBA_Principal_ptr CORBA_Principal_var::_retn ( | void )

ACE_INLINE CORBA_Principal_ptr CORBA_Principal_var::in ( | void ) const

ACE_INLINE CORBA_Principal_ptr & CORBA_Principal_var::inout ( | void )

ACE_INLINE CORBA_Principal_var::operator CORBA_Principal_ptr & ( | )

ACE_INLINE CORBA_Principal_var::operator const CORBA_Principal_ptr & ( | ) const

| in, inout, out, _retn.

ACE_INLINE CORBA_Principal_ptr CORBA_Principal_var::operator-> ( | void ) const

ACE_INLINE CORBA_Principal_var & CORBA_Principal_var::operator= ( | const CORBA_Principal_var & p )

ACE_INLINE CORBA_Principal_var & CORBA_Principal_var::operator= ( | CORBA_Principal_ptr p )

ACE_INLINE CORBA_Principal_ptr & CORBA_Principal_var::out ( | void )

ACE_INLINE CORBA_Principal_ptr CORBA_Principal_var::ptr ( | void ) const

## Member Data Documentation

CORBA_Principal_ptr CORBA_Principal_var::ptr_`[private]`

The documentation for this class was generated from the following files:

- Principal.h
- Principal.i